Skip to main content
`Ctrl`+`K`

# PCApplyTransposeExists

Test whether the preconditioner has a transpose apply operation

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCApplyTransposeExists(PC pc, PetscBool *flg)

Collective

## Input Parameter

- pc - the `PC` preconditioner context

## Output Parameter

- flg - `PETSC_TRUE` if a transpose operation is defined

## See Also

KSP: Linear System Solvers, `PC`, `PCApplyTranspose()`

## Level

developer

## Location

src/ksp/pc/interface/precon.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages